<?php
require_once("../includes/bootstrap2.php");
echo "ss". isAjax();
if(isAjax()){
	echo "hola";
	$sesion=new sesion(); // inicio la sesion
	if(!comprobar_sesion()){
		$ar=array();
		$ar['error']='session';
		echo json_encode($ar);
		exit;
	}
	if($_SERVER['REQUEST_METHOD']=='POST'){
		$academia = bootstrap::initBd($sesion->get('anio'));

		$enc_bt=$_POST['enc_bt'];
		$enc_bt_pres=$_POST['enc_bt_pres'];
		$pie_bt=$_POST['pie_bt'];
		
		$enc_dt	=$_POST['enc_dt'];
		$pie_dt=$_POST['pie_dt'];
				
		$sql="UPDATE adm_colegio
SET pie = '$pie_dt', enca_dtos = '$enc_dt', pie_boletin = '$pie_bt', enca_boletin = '$enc_bt', 
				enca_boletin_pres = '$enc_bt_pres', pie_boletin='$pie_bt'
WHERE cod_colegio = '1'";
	
		if($sql!=''){
			$academia->instruccion($sql);
			$rta=array('error'=>$academia->extraer_error());
			if($academia->extraer_error()==0){
				$newDtsCol=array(	
					'pie'=>str_replace("\\","", $pie_dt),
					'enca_dtos'=>str_replace("\\","", $enc_dt),
					'pie_boletin'=>str_replace("\\","", $pie_bt),
					'enca_boletin'=>str_replace("\\","", $enc_bt),
					'enca_boletin_pres'=>str_replace("\\","", $enc_bt_pres),
				);
				$dtsCol=$sesion->get('info_colegio');
				$sesion->set('info_colegio',array_merge($dtsCol,$newDtsCol));
			}
			echo json_encode($rta);		
		}		
	} 
	$academia->cerrar();
}
?>